org.keycloak.models.sessions.infinispan

## Enum InfinispanUserSessionProvider.CacheOperation

- java.lang.Object
- - java.lang.Enum<InfinispanUserSessionProvider.CacheOperation>
  - - org.keycloak.models.sessions.infinispan.InfinispanUserSessionProvider.CacheOperation

- All Implemented Interfaces:
    Serializable, Comparable<InfinispanUserSessionProvider.CacheOperation>
  Enclosing class:
    InfinispanUserSessionProvider

      public static enum InfinispanUserSessionProvider.CacheOperation
      extends Enum<InfinispanUserSessionProvider.CacheOperation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `REMOVE`
    `REPLACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfinispanUserSessionProvider.CacheOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InfinispanUserSessionProvider.CacheOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final InfinispanUserSessionProvider.CacheOperation ADD

    - #### REMOVE

          public static final InfinispanUserSessionProvider.CacheOperation REMOVE

    - #### REPLACE

          public static final InfinispanUserSessionProvider.CacheOperation REPLACE

  - ### Method Detail

    - #### values

          public static InfinispanUserSessionProvider.CacheOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InfinispanUserSessionProvider.CacheOperation c : InfinispanUserSessionProvider.CacheOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InfinispanUserSessionProvider.CacheOperation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.